Skip to content

Get Result Transfer To Payroll

Operation
wsdlGetResultTransferToPayroll
SOAP Action
uri:FlexForce/GetResultTransferToPayroll
Service
FlexForce
Port
FlexForcePort
Style
rpc

Return the status and download URL of the payroll file generated by wsdlInitiateTransferToPayroll.

Notes

  • If extTransferId isn’t for your customer or can’t be found, it will return "Unknown extTransferId OR you dont have access right!"
  • URL is valid for up to 2 hours after you sent the request

Request

Message: wsdlGetResultTransferToPayrollRequest

apiKeystringrequired

API key of the unit.

extTransferIdstringrequired

The extTransferId you supplied to wsdlInitiateTransferToPayroll.

curl -X POST 'https://api.quinyx.com/FlexForceWebServices.php' \
  -H 'Content-Type: text/xml; charset=utf-8' \
  -H 'SOAPAction: "uri:FlexForce/GetResultTransferToPayroll"' \
  --data @- <<'EOF'
<?xml version="1.0" encoding="UTF-8"?>
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tns="https://api.quinyx.com/soap/FlexForce">
  <soap:Body>
    <tns:wsdlGetResultTransferToPayroll>
    <apiKey xsi:type="xsd:string">string</apiKey>
    <extTransferId xsi:type="xsd:string">string</extTransferId>
    </tns:wsdlGetResultTransferToPayroll>
  </soap:Body>
</soap:Envelope>
EOF

Response

Message: wsdlGetResultTransferToPayrollResponse

returnResultTransfer

A ResultTransfer record with the current status and (when ready) the download URL.

extTransferIdstringrequired

extTransferId you sent with the request of wsdl

urlstring

Only if status is Ready To Download

statusstringrequired

Current status of the transfer.

Values
In Progress
Failed
Ready To Download
<?xml version="1.0" encoding="UTF-8"?>
<soap:Envelope xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/" xmlns:tns="https://api.quinyx.com/soap/FlexForce">
  <soap:Body>
    <tns:wsdlGetResultTransferToPayrollResponse>
    <return xsi:type="tns:ResultTransfer">
      <extTransferId xsi:type="xsd:string">string</extTransferId>
      <url xsi:type="xsd:string">string</url>
      <status xsi:type="xsd:string">string</status>
    </return>
    </tns:wsdlGetResultTransferToPayrollResponse>
  </soap:Body>
</soap:Envelope>

Change log

Date Description
2018-12-19 Method created.